Bug 1461144 - Use of the new create_service_provision_request method is inconsistent with other create_*_request methods
Use of the new create_service_provision_request method is inconsistent with o...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Greg McCullough
Milan Falešník
service:provision
: ZStream
Depends On: 1457754
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 12:17 EDT by Satoe Imaishi
Modified: 2017-08-02 13:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1457754
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github https://github.com/ManageIQ/manageiq-automation_engine/issues/33 None None None 2017-06-13 12:18 EDT

  None (edit)
Comment 2 CFME Bot 2017-06-13 13:06:05 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ebd69905757ba17d786876ebc18c93fd8df6cda4

commit ebd69905757ba17d786876ebc18c93fd8df6cda4
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jun 12 09:44:46 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 13 12:48:53 2017 -0400

    Merge pull request #34 from fdupont-redhat/bz1447754
    
    Move create_service_provision_request into MiqAeServiceMethods for consistency
    (cherry picked from commit f650a66f1241de078ffdca508b0e77afb8eb5460)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461144

 .../engine/miq_ae_method_service/miq_ae_service.rb |  5 ----
 .../service_models/miq_ae_service_methods.rb       |  5 ++++
 .../miq_automation_engine/miq_ae_service_spec.rb   | 27 ----------------------
 .../service_models/miq_ae_service_methods_spec.rb  | 27 ++++++++++++++++++++++
 4 files changed, 32 insertions(+), 32 deletions(-)
Comment 3 CFME Bot 2017-06-13 13:08:17 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/13d9967f5f226fbb85476090cd29f64c2c809b03

commit 13d9967f5f226fbb85476090cd29f64c2c809b03
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jun 12 09:47:16 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 13 13:06:26 2017 -0400

    Merge pull request #126 from fdupont-redhat/master
    
    Update method order_ansible_playbook.rb to match the move of create_service_provision_request
    (cherry picked from commit ea938de7fdb0aa09ecbf735356431ba491700e47)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461144

 .../ManageIQ/System/Request.class/__methods__/order_ansible_playbook.rb | 2 +-
 .../System/Request.class/__methods__/order_ansible_playbook_spec.rb     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 4 Milan Falešník 2017-06-28 11:31:40 EDT
Verified in 5.8.1.0.

$evm.create_service_provision_request
NoMethodError: undefined method `create_service_provision_request' for #<MiqAeMethodService::MiqAeService:0x0000000b169d78>

which is ok,

$evm.execute('create_service_provision_requesta', st, {})
MiqAeException::MethodNotFound: undefined method `create_service_provision_requesta' for MiqAeMethodService::MiqAeServiceMethods:Class
Did you mean?  create_service_provision_request
               create_provision_request

tells me the method is there,

$evm.execute('create_service_provision_request', st, {})
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
PostgreSQLAdapter#log_after_checkin, connection_pool: size: 5, connections: 1, in use: 0, waiting_in_queue: 0
MiqAeException::MethodNotFound: undefined method `current_group' for nil:NilClass

Throws an error, but you see the method gets executed as expected
Comment 6 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.